Subject: bug#68244: hash-table improvements

From: Mattias Engdegård <[email-masked]>
Date: Tue, 20 Feb 2024 17:11:23 +0100

20 feb. 2024 kl. 15.00 skrev Eli Zaretskii <[email-masked]>:

> How many different platforms and configurations tried to build and use
> the branch?  For such a change, I think I'd like to see all the major
> platforms be able to compile and run it, before we land it.

In this case the risk for platform-specific bugs is not high (no system-dependent code nor, from what I can tell, any architecture or configuration-dependent code(*)).

Of course accidents can always happen. If someone would like to try building the scratch/obarray branch on a non-64-bit machine then I'd be very grateful.

(*) Building with --enable-checking=structs is certain to fail because there's no point in updating the pdumper struct hash until it's actually merged.